# swagger-client
This is a representation of the Octopus Energy [REST API](https://developer.octopus.energy/docs/api/)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure HTTP basic authorization: basicAuth
swagger_client.configuration.username = 'YOUR_USERNAME'
swagger_client.configuration.password = 'YOUR_PASSWORD'
# create an instance of the API class
api_instance = swagger_client.DefaultApi()
mpan = 'mpan_example' # str | The electricity meter-point’s MPAN

try:
    # Retrieve the details of a meter-point
    api_response = api_instance.electricity_meter_points_mpan_get(mpan)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->electricity_meter_points_mpan_get: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.octopus.energy/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**electricity_meter_points_mpan_get**](docs/DefaultApi.md#electricity_meter_points_mpan_get) | **GET** /electricity-meter-points/{mpan} | Retrieve the details of a meter-point
*DefaultApi* | [**electricity_meter_points_mpan_meters_serial_number_consumption_get**](docs/DefaultApi.md#electricity_meter_points_mpan_meters_serial_number_consumption_get) | **GET** /electricity-meter-points/{mpan}/meters/{serial_number}/consumption/ | Return a list of kWh consumption values for half-hour periods for a given meter-point and meter
*DefaultApi* | [**gas_meter_points_mprn_get**](docs/DefaultApi.md#gas_meter_points_mprn_get) | **GET** /gas-meter-points/{mprn} | Retrieve the details of a meter-point
*DefaultApi* | [**gas_meter_points_mprn_meters_serial_number_consumption_get**](docs/DefaultApi.md#gas_meter_points_mprn_meters_serial_number_consumption_get) | **GET** /gas-meter-points/{mprn}/meters/{serial_number}/consumption/ | Return a list of kWh consumption values for half-hour periods for a given meter-point and meter
*DefaultApi* | [**products_get**](docs/DefaultApi.md#products_get) | **GET** /products | a list of energy products
*DefaultApi* | [**products_product_code_electricity_tariffs_tariff_code_day_unit_rates_get**](docs/DefaultApi.md#products_product_code_electricity_tariffs_tariff_code_day_unit_rates_get) | **GET** /products/{product_code}/electricity-tariffs/{tariff_code}/day-unit-rates | a list of unit rates and standing charges
*DefaultApi* | [**products_product_code_electricity_tariffs_tariff_code_night_unit_rates_get**](docs/DefaultApi.md#products_product_code_electricity_tariffs_tariff_code_night_unit_rates_get) | **GET** /products/{product_code}/electricity-tariffs/{tariff_code}/night-unit-rates/ | a list of unit rates and standing charges
*DefaultApi* | [**products_product_code_electricity_tariffs_tariff_code_standard_unit_rates_get**](docs/DefaultApi.md#products_product_code_electricity_tariffs_tariff_code_standard_unit_rates_get) | **GET** /products/{product_code}/electricity-tariffs/{tariff_code}/standard-unit-rates/ | a list of unit rates and standing charges
*DefaultApi* | [**products_product_code_electricity_tariffs_tariff_code_standing_charges_get**](docs/DefaultApi.md#products_product_code_electricity_tariffs_tariff_code_standing_charges_get) | **GET** /products/{product_code}/electricity-tariffs/{tariff_code}/standing-charges | a list of unit rates and standing charges
*DefaultApi* | [**products_product_code_gas_tariffs_tariff_code_standard_unit_rates_get**](docs/DefaultApi.md#products_product_code_gas_tariffs_tariff_code_standard_unit_rates_get) | **GET** /products/{product_code}/gas-tariffs/{tariff_code}/standard-unit-rates | a list of unit rates and standing charges
*DefaultApi* | [**products_product_code_gas_tariffs_tariff_code_standing_charges_get**](docs/DefaultApi.md#products_product_code_gas_tariffs_tariff_code_standing_charges_get) | **GET** /products/{product_code}/gas-tariffs/{tariff_code}/standing-charges | a list of unit rates and standing charges
*DefaultApi* | [**products_product_code_get**](docs/DefaultApi.md#products_product_code_get) | **GET** /products/{product_code} | a list of energy products


## Documentation For Models

 - [Charge](docs/Charge.md)
 - [Consumption](docs/Consumption.md)
 - [ExtraProduct](docs/ExtraProduct.md)
 - [ExtraProductSampleConsumption](docs/ExtraProductSampleConsumption.md)
 - [ExtraProductSampleConsumptionDualFuelDualRate](docs/ExtraProductSampleConsumptionDualFuelDualRate.md)
 - [ExtraProductSampleConsumptionDualFuelSingleRate](docs/ExtraProductSampleConsumptionDualFuelSingleRate.md)
 - [ExtraProductSampleConsumptionElectricityDualRate](docs/ExtraProductSampleConsumptionElectricityDualRate.md)
 - [ExtraProductSampleConsumptionElectricitySingleRate](docs/ExtraProductSampleConsumptionElectricitySingleRate.md)
 - [ExtraProductSampleQuotes](docs/ExtraProductSampleQuotes.md)
 - [FullQuote](docs/FullQuote.md)
 - [FullTariff](docs/FullTariff.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [Link](docs/Link.md)
 - [PartialQuote](docs/PartialQuote.md)
 - [PartialQuoteElectricityDualRate](docs/PartialQuoteElectricityDualRate.md)
 - [PartialQuoteElectricitySingleRate](docs/PartialQuoteElectricitySingleRate.md)
 - [PartialTariff](docs/PartialTariff.md)
 - [Product](docs/Product.md)
 - [Tariffs](docs/Tariffs.md)
 - [DetailedProduct](docs/DetailedProduct.md)


## Documentation For Authorization


## basicAuth

- **Type**: HTTP basic authentication


## Author



